#!/bin/bash

# uninstall logic for AhsayACB 5.2.5.0 (Build:246)
# The root privilege is required to uninstall the application

###############################################################################
#             S H U T - D O W N                 S E R V I C E S               #
###############################################################################

# Shutdown Scheduler
if [ -e "/Applications/AhsayACB/ipc/Scheduler/running" ]; then
    echo "Shutdown Scheduler for AhsayACB"
    touch "/Applications/AhsayACB/ipc/Scheduler/stop"
    echo "Wait 5 seconds before Scheduler exits"
    sleep 5
fi

# Shutdown AutoUpdateAgent
if [ -e "/Applications/AhsayACB/aua/bin" ]; then
    echo "Shutdown AutoUpdateAgent for AhsayACB"
    sh "/Applications/AhsayACB/aua/bin/shutdown.sh"
    echo "Wait 5 seconds before AutoUpdateAgent exits"
    sleep 5
fi

###############################################################################
#        T A S K K I L L       A L L      J A V A       P R O C E S S         #
###############################################################################

# Kill all running process
sh "/Applications/AhsayACB/bin/taskkill" "/Applications/AhsayACB/BackupManager.app"
sh "/Applications/AhsayACB/bin/taskkill" "/Applications/AhsayACB/bin/BackupManager.app"
sh "/Applications/AhsayACB/bin/taskkill" "/Applications/AhsayACB/jvm/bin/java"
sh "/Applications/AhsayACB/bin/taskkill" "/Applications/AhsayACB/aua/jvm/bin/java"

###############################################################################
#                 R E M O V E                   S E R V I C E S               #
###############################################################################

# Remove Scheduler
if [ -e "/Library/StartupItems/AhsayACB" ]; then
    echo "Remove Scheduler for AhsayACB from service"
    rm -rf "/Library/StartupItems/AhsayACB"
fi

# Remove AutoUpdateAgent
if [ -e "/Library/StartupItems/AhsayACB-AutoUpdate" ]; then
    echo "Remove AutoUpdateAgent for AhsayACB from service"
    rm -rf "/Library/StartupItems/AhsayACB-AutoUpdate"
fi

###############################################################################
#      R E M O V E        U S E R         D E S K T O P      L I N K          #
###############################################################################

# Remove Desktop Symbolic Link
find /Users -name Desktop -type d -maxdepth 3 -mindepth 2 | while read DESKTOP_PATH;
do
    if [ -e "${DESKTOP_PATH}/AhsayACB" ]; then
        echo "Remove Desktop Link AhsayACB from path ${DESKTOP_PATH}"
        rm -f "${DESKTOP_PATH}/AhsayACB"
        echo "Removed AhsayACB Desktop Link"
    fi
done

###############################################################################
#        R E M O V E           A P P L I C A T I O N           H O M E        #
###############################################################################

# Remove AhsayACB
cd /
if [ -e "/Applications/AhsayACB" ]; then
    echo "Remove AhsayACB from Your Mac OS X"
    rm -rf "/Applications/AhsayACB"
fi

###############################################################################
#        R E M O V E             M A C     O S        R E C E I P T S         #
###############################################################################

# Remove Mac OS X Receipts
if [ -e "/Library/Receipts/acb.pkg" ]; then
    echo "Remove Mac OS X Receipt for acb.pkg (Path: /Library/Receipts/acb.pkg)"
    rm -rf "/Library/Receipts/acb.pkg"
fi
